Page MenuHomePhabricator

ganeti VM request - miscweb2001 - equivalent of krypton
Closed, ResolvedPublic

Description

Requesting the equivalent to krypton.eqiad.wmnet but in codfw,as a subtask of T224247

So it's supposed to be just like krypton which was requested back in T105507

But we would use "miscweb2001" as the new name and rename krypton to miscweb1001 to have a cluster name for it as suggested by Moritz.


Labs Project Tested: yes, testing the webserver_misc_apps role on stretch in cloud vps
Site/Location: CODFW
Number of systems: 1
Service: Wikimania Scholarships App, Wikimedia Individual Engagement Grants Review App (generic VM for misc. PHP apps)
Networking Requirements: internal IP
Processor Requirements: 1
Memory: 2GB
Disks: 20GB
Other Requirements: none

Event Timeline

Dzahn created this task.May 24 2019, 10:38 PM

Change 513205 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] introduce miscweb - assign IP for miscweb2001

https://gerrit.wikimedia.org/r/513205

Change 513205 merged by Dzahn:
[operations/dns@master] introduce miscweb - assign IP for miscweb2001

https://gerrit.wikimedia.org/r/513205

Mentioned in SAL (#wikimedia-operations) [2019-05-29T20:54:29Z] <mutante> creating new ganeti VM miscweb2001.codfw.wmnet with same specs as krypton.eqiad.wmnet (T224323)

Change 513216 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] DHCP: add miscweb2001 MAC address

https://gerrit.wikimedia.org/r/513216

Change 513216 merged by Dzahn:
[operations/puppet@production] DHCP: add miscweb2001 MAC address

https://gerrit.wikimedia.org/r/513216

Mentioned in SAL (#wikimedia-operations) [2019-05-29T21:47:57Z] <mutante> installing OS on miscweb2001 VM failed at grub install step :( T224323

Mentioned in SAL (#wikimedia-operations) [2019-08-27T10:25:05Z] <mutante> ganeti eqiad - creating new VM with same specs as krypton to replace it with a stretch instance and mirror miscweb2001. krypton to be removed (T224323, T105507, T224247)